Loading...
Searching...
No Matches
mongocxx::v_noabi::result::rewrap_many_datakey Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/rewrap_many_datakey.hpp>`

## Description

The result of a MongoDB rewrapManyDatakey operation.

## Public Member Functions

| rewrap_many_datakey ()=default
| rewrap_many_datakey (v1::rewrap_many_datakey_result opts)
| Construct with the mongocxx::v1 equivalent.
| rewrap_many_datakey (v_noabi::result::bulk_write bulk_write_result_doc)
| operator v1::rewrap_many_datakey_result () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< v_noabi::result::bulk_write > const & | result ()
| Returns the bulk write result for this rewrap_many_datakey operation.

## Constructor & Destructor Documentation

## rewrap_many_datakey() [1/3]

mongocxx::v_noabi::result::rewrap_many_datakey::rewrap_many_datakey | ( |  | ) |

default

Deprecated
  For internal use only.

## rewrap_many_datakey() [2/3]

mongocxx::v_noabi::result::rewrap_many_datakey::rewrap_many_datakey | ( | v1::rewrap_many_datakey_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## rewrap_many_datakey() [3/3]

mongocxx::v_noabi::result::rewrap_many_datakey::rewrap_many_datakey | ( | v_noabi::result::bulk_write | bulk_write_result_doc | ) |

inline explicit

Deprecated
  For internal use only.

## Member Function Documentation

## operator v1::rewrap_many_datakey_result()

mongocxx::v_noabi::result::rewrap_many_datakey::operator v1::rewrap_many_datakey_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## result()

bsoncxx::v_noabi::stdx::optional< v_noabi::result::bulk_write > const & mongocxx::v_noabi::result::rewrap_many_datakey::result | ( |  | ) |

inline

Returns the bulk write result for this rewrap_many_datakey operation.

Returns
  The raw bulk write result.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/rewrap_many_datakey.hpp